export declare const column: ({
    name: string;
    label: string;
    aliasTitle: string;
    description: string;
    isSys: boolean;
    isOrg: boolean;
    writable: boolean;
    editable: boolean;
    unique: boolean;
    uniquePreHandler: string;
    sensitiveStrategy: string;
    sensitiveFlag: number;
    field: {
        type: string;
        customType: string;
        dataType: string;
        props: {
            fieldSearch: {
                sort: number;
                type: string;
            };
            hide: boolean;
            isSearch: boolean;
            required: boolean;
            disabled: boolean;
            isCollaborators?: undefined;
            collaboratorRoles?: undefined;
            limit?: undefined;
            multiple?: undefined;
            titleDisabled?: undefined;
            typeDisabled?: undefined;
            attrDisabled?: undefined;
            member?: undefined;
            aliasDisabled?: undefined;
            checked?: undefined;
            multiselect?: undefined;
            groupOptions?: undefined;
            groupSelect?: undefined;
            inputnumber?: undefined;
            isText?: undefined;
            options?: undefined;
            select?: undefined;
            require?: undefined;
            range?: undefined;
            accuracy?: undefined;
            thousandth?: undefined;
            percentage?: undefined;
            location?: undefined;
            sign?: undefined;
            amount?: undefined;
            workHour?: undefined;
            dept?: undefined;
        };
    };
} | {
    name: string;
    label: string;
    aliasTitle: string;
    description: string;
    isSys: boolean;
    isOrg: boolean;
    writable: boolean;
    editable: boolean;
    unique: boolean;
    uniquePreHandler: string;
    sensitiveStrategy: string;
    sensitiveFlag: number;
    field: {
        type: string;
        customType: string;
        dataType: string;
        props: {
            disabled: boolean;
            isCollaborators: boolean;
            collaboratorRoles: string[];
            limit: number;
            multiple: boolean;
            titleDisabled: boolean;
            typeDisabled: boolean;
            attrDisabled: boolean;
            member: {
                collaboratorRoles: string;
                isCollaborators: boolean;
                multiple: boolean;
                required?: undefined;
            };
            aliasDisabled: boolean;
            hide: boolean;
            checked: boolean;
            fieldSearch?: undefined;
            isSearch?: undefined;
            required?: undefined;
            multiselect?: undefined;
            groupOptions?: undefined;
            groupSelect?: undefined;
            inputnumber?: undefined;
            isText?: undefined;
            options?: undefined;
            select?: undefined;
            require?: undefined;
            range?: undefined;
            accuracy?: undefined;
            thousandth?: undefined;
            percentage?: undefined;
            location?: undefined;
            sign?: undefined;
            amount?: undefined;
            workHour?: undefined;
            dept?: undefined;
        };
    };
} | {
    name: string;
    label: string;
    aliasTitle: string;
    description: string;
    isSys: boolean;
    isOrg: boolean;
    writable: boolean;
    editable: boolean;
    unique: boolean;
    uniquePreHandler: string;
    sensitiveStrategy: string;
    sensitiveFlag: number;
    field: {
        type: string;
        customType: string;
        dataType: string;
        props: {
            collaboratorRoles: null;
            multiselect: {
                options?: undefined;
            };
            groupOptions: {
                children: {
                    parentId: number;
                    value: string;
                    color: string;
                    fontColor: string;
                    id: number;
                }[];
                id: number;
                value: string;
            }[];
            member: {
                multiple: boolean;
                required: boolean;
                collaboratorRoles?: undefined;
                isCollaborators?: undefined;
            };
            aliasDisabled: boolean;
            groupSelect: {
                options: {
                    value: string;
                    color: string;
                    fontColor: string;
                    id: number;
                    parentId: number;
                }[];
                groupOptions: {
                    children: {
                        fontColor: string;
                        id: number;
                        parentId: number;
                        value: string;
                        color: string;
                    }[];
                    id: number;
                    value: string;
                }[];
            };
            inputnumber: {
                thousandth: boolean;
                unique: boolean;
                accuracy: string;
                percentage: boolean;
                required: boolean;
                range?: undefined;
            };
            isText: boolean;
            required: boolean;
            hide: boolean;
            options: {
                color: string;
                fontColor: string;
                id: number;
                parentId: number;
                value: string;
            }[];
            typeDisabled: boolean;
            checked: boolean;
            select: {
                options?: undefined;
            };
            titleDisabled: boolean;
            multiple: boolean;
            attrDisabled: boolean;
            disabled: boolean;
            require: boolean;
            fieldSearch?: undefined;
            isSearch?: undefined;
            isCollaborators?: undefined;
            limit?: undefined;
            range?: undefined;
            accuracy?: undefined;
            thousandth?: undefined;
            percentage?: undefined;
            location?: undefined;
            sign?: undefined;
            amount?: undefined;
            workHour?: undefined;
            dept?: undefined;
        };
    };
} | {
    name: string;
    label: string;
    aliasTitle: string;
    description: string;
    isSys: boolean;
    isOrg: boolean;
    writable: boolean;
    editable: boolean;
    unique: boolean;
    uniquePreHandler: string;
    sensitiveStrategy: string;
    sensitiveFlag: number;
    field: {
        type: string;
        customType: string;
        dataType: string;
        props: {
            fieldSearch?: undefined;
            hide?: undefined;
            isSearch?: undefined;
            required?: undefined;
            disabled?: undefined;
            isCollaborators?: undefined;
            collaboratorRoles?: undefined;
            limit?: undefined;
            multiple?: undefined;
            titleDisabled?: undefined;
            typeDisabled?: undefined;
            attrDisabled?: undefined;
            member?: undefined;
            aliasDisabled?: undefined;
            checked?: undefined;
            multiselect?: undefined;
            groupOptions?: undefined;
            groupSelect?: undefined;
            inputnumber?: undefined;
            isText?: undefined;
            options?: undefined;
            select?: undefined;
            require?: undefined;
            range?: undefined;
            accuracy?: undefined;
            thousandth?: undefined;
            percentage?: undefined;
            location?: undefined;
            sign?: undefined;
            amount?: undefined;
            workHour?: undefined;
            dept?: undefined;
        };
    };
} | {
    name: string;
    label: string;
    aliasTitle: string;
    description: string;
    isSys: boolean;
    isOrg: boolean;
    writable: boolean;
    editable: boolean;
    unique: boolean;
    uniquePreHandler: string;
    sensitiveStrategy: string;
    sensitiveFlag: number;
    field: {
        type: string;
        customType: string;
        dataType: string;
        props: {
            isText: boolean;
            member: {
                multiple: boolean;
                required: boolean;
                collaboratorRoles?: undefined;
                isCollaborators?: undefined;
            };
            multiselect: {
                options?: undefined;
            };
            required: boolean;
            select: {
                options?: undefined;
            };
            inputnumber: {
                unique: boolean;
                accuracy: string;
                percentage: boolean;
                required: boolean;
                thousandth: boolean;
                range?: undefined;
            };
            fieldSearch?: undefined;
            hide?: undefined;
            isSearch?: undefined;
            disabled?: undefined;
            isCollaborators?: undefined;
            collaboratorRoles?: undefined;
            limit?: undefined;
            multiple?: undefined;
            titleDisabled?: undefined;
            typeDisabled?: undefined;
            attrDisabled?: undefined;
            aliasDisabled?: undefined;
            checked?: undefined;
            groupOptions?: undefined;
            groupSelect?: undefined;
            options?: undefined;
            require?: undefined;
            range?: undefined;
            accuracy?: undefined;
            thousandth?: undefined;
            percentage?: undefined;
            location?: undefined;
            sign?: undefined;
            amount?: undefined;
            workHour?: undefined;
            dept?: undefined;
        };
    };
} | {
    name: string;
    label: string;
    aliasTitle: string;
    description: string;
    isSys: boolean;
    isOrg: boolean;
    writable: boolean;
    editable: boolean;
    unique: boolean;
    uniquePreHandler: string;
    sensitiveStrategy: string;
    sensitiveFlag: number;
    field: {
        type: string;
        customType: string;
        dataType: string;
        props: {
            collaboratorRoles: string[];
            multiple: boolean;
            fieldSearch?: undefined;
            hide?: undefined;
            isSearch?: undefined;
            required?: undefined;
            disabled?: undefined;
            isCollaborators?: undefined;
            limit?: undefined;
            titleDisabled?: undefined;
            typeDisabled?: undefined;
            attrDisabled?: undefined;
            member?: undefined;
            aliasDisabled?: undefined;
            checked?: undefined;
            multiselect?: undefined;
            groupOptions?: undefined;
            groupSelect?: undefined;
            inputnumber?: undefined;
            isText?: undefined;
            options?: undefined;
            select?: undefined;
            require?: undefined;
            range?: undefined;
            accuracy?: undefined;
            thousandth?: undefined;
            percentage?: undefined;
            location?: undefined;
            sign?: undefined;
            amount?: undefined;
            workHour?: undefined;
            dept?: undefined;
        };
    };
} | {
    name: string;
    label: string;
    aliasTitle: string;
    description: string;
    isSys: boolean;
    isOrg: boolean;
    writable: boolean;
    editable: boolean;
    unique: boolean;
    uniquePreHandler: string;
    sensitiveStrategy: string;
    sensitiveFlag: number;
    field: {
        type: string;
        customType: string;
        dataType: string;
        props: {
            titleDisabled: boolean;
            typeDisabled: boolean;
            disabled: boolean;
            isText: boolean;
            required: boolean;
            select: {
                options?: undefined;
            };
            fieldSearch?: undefined;
            hide?: undefined;
            isSearch?: undefined;
            isCollaborators?: undefined;
            collaboratorRoles?: undefined;
            limit?: undefined;
            multiple?: undefined;
            attrDisabled?: undefined;
            member?: undefined;
            aliasDisabled?: undefined;
            checked?: undefined;
            multiselect?: undefined;
            groupOptions?: undefined;
            groupSelect?: undefined;
            inputnumber?: undefined;
            options?: undefined;
            require?: undefined;
            range?: undefined;
            accuracy?: undefined;
            thousandth?: undefined;
            percentage?: undefined;
            location?: undefined;
            sign?: undefined;
            amount?: undefined;
            workHour?: undefined;
            dept?: undefined;
        };
    };
} | {
    name: string;
    label: string;
    aliasTitle: string;
    description: string;
    isSys: boolean;
    isOrg: boolean;
    writable: boolean;
    editable: boolean;
    unique: boolean;
    uniquePreHandler: string;
    sensitiveStrategy: string;
    sensitiveFlag: number;
    field: {
        type: string;
        customType: string;
        dataType: string;
        props: {
            member: {
                required: boolean;
                multiple: boolean;
                collaboratorRoles?: undefined;
                isCollaborators?: undefined;
            };
            multiselect: {
                options?: undefined;
            };
            required: boolean;
            select: {
                options: {
                    value: string;
                    color: string;
                    fontColor: string;
                    id: number;
                }[];
            };
            inputnumber: {
                required: boolean;
                thousandth: boolean;
                unique: boolean;
                accuracy: string;
                percentage: boolean;
                range?: undefined;
            };
            isText: boolean;
            fieldSearch?: undefined;
            hide?: undefined;
            isSearch?: undefined;
            disabled?: undefined;
            isCollaborators?: undefined;
            collaboratorRoles?: undefined;
            limit?: undefined;
            multiple?: undefined;
            titleDisabled?: undefined;
            typeDisabled?: undefined;
            attrDisabled?: undefined;
            aliasDisabled?: undefined;
            checked?: undefined;
            groupOptions?: undefined;
            groupSelect?: undefined;
            options?: undefined;
            require?: undefined;
            range?: undefined;
            accuracy?: undefined;
            thousandth?: undefined;
            percentage?: undefined;
            location?: undefined;
            sign?: undefined;
            amount?: undefined;
            workHour?: undefined;
            dept?: undefined;
        };
    };
} | {
    name: string;
    label: string;
    aliasTitle: string;
    description: string;
    isSys: boolean;
    isOrg: boolean;
    writable: boolean;
    editable: boolean;
    unique: boolean;
    uniquePreHandler: string;
    sensitiveStrategy: string;
    sensitiveFlag: number;
    field: {
        type: string;
        customType: string;
        dataType: string;
        props: {
            checked: boolean;
            disabled: boolean;
            hide: boolean;
            multiple: boolean;
            required: boolean;
            fieldSearch?: undefined;
            isSearch?: undefined;
            isCollaborators?: undefined;
            collaboratorRoles?: undefined;
            limit?: undefined;
            titleDisabled?: undefined;
            typeDisabled?: undefined;
            attrDisabled?: undefined;
            member?: undefined;
            aliasDisabled?: undefined;
            multiselect?: undefined;
            groupOptions?: undefined;
            groupSelect?: undefined;
            inputnumber?: undefined;
            isText?: undefined;
            options?: undefined;
            select?: undefined;
            require?: undefined;
            range?: undefined;
            accuracy?: undefined;
            thousandth?: undefined;
            percentage?: undefined;
            location?: undefined;
            sign?: undefined;
            amount?: undefined;
            workHour?: undefined;
            dept?: undefined;
        };
    };
} | {
    name: string;
    label: string;
    aliasTitle: string;
    description: string;
    isSys: boolean;
    isOrg: boolean;
    writable: boolean;
    editable: boolean;
    unique: boolean;
    uniquePreHandler: string;
    sensitiveStrategy: string;
    sensitiveFlag: number;
    field: {
        type: string;
        customType: string;
        dataType: string;
        props: {
            range: {};
            accuracy: string;
            disabled: boolean;
            required: boolean;
            collaboratorRoles: null;
            thousandth: boolean;
            inputnumber: {
                thousandth: boolean;
                accuracy: string;
                percentage: boolean;
                range: {};
                unique?: undefined;
                required?: undefined;
            };
            multiple: boolean;
            percentage: boolean;
            fieldSearch?: undefined;
            hide?: undefined;
            isSearch?: undefined;
            isCollaborators?: undefined;
            limit?: undefined;
            titleDisabled?: undefined;
            typeDisabled?: undefined;
            attrDisabled?: undefined;
            member?: undefined;
            aliasDisabled?: undefined;
            checked?: undefined;
            multiselect?: undefined;
            groupOptions?: undefined;
            groupSelect?: undefined;
            isText?: undefined;
            options?: undefined;
            select?: undefined;
            require?: undefined;
            location?: undefined;
            sign?: undefined;
            amount?: undefined;
            workHour?: undefined;
            dept?: undefined;
        };
    };
} | {
    name: string;
    label: string;
    aliasTitle: string;
    description: string;
    isSys: boolean;
    isOrg: boolean;
    writable: boolean;
    editable: boolean;
    unique: boolean;
    uniquePreHandler: string;
    sensitiveStrategy: string;
    sensitiveFlag: number;
    field: {
        type: string;
        customType: string;
        dataType: string;
        props: {
            collaboratorRoles: null;
            disabled: boolean;
            location: string;
            sign: string;
            multiple: boolean;
            range: {};
            accuracy: string;
            amount: {
                accuracy: string;
                location: string;
                range: {};
                sign: string;
            };
            required: boolean;
            fieldSearch?: undefined;
            hide?: undefined;
            isSearch?: undefined;
            isCollaborators?: undefined;
            limit?: undefined;
            titleDisabled?: undefined;
            typeDisabled?: undefined;
            attrDisabled?: undefined;
            member?: undefined;
            aliasDisabled?: undefined;
            checked?: undefined;
            multiselect?: undefined;
            groupOptions?: undefined;
            groupSelect?: undefined;
            inputnumber?: undefined;
            isText?: undefined;
            options?: undefined;
            select?: undefined;
            require?: undefined;
            thousandth?: undefined;
            percentage?: undefined;
            workHour?: undefined;
            dept?: undefined;
        };
    };
} | {
    name: string;
    label: string;
    aliasTitle: string;
    description: string;
    isSys: boolean;
    isOrg: boolean;
    writable: boolean;
    editable: boolean;
    unique: boolean;
    uniquePreHandler: string;
    sensitiveStrategy: string;
    sensitiveFlag: number;
    field: {
        type: string;
        customType: string;
        dataType: string;
        props: {
            disabled: boolean;
            multiple: boolean;
            required: boolean;
            collaboratorRoles: null;
            fieldSearch?: undefined;
            hide?: undefined;
            isSearch?: undefined;
            isCollaborators?: undefined;
            limit?: undefined;
            titleDisabled?: undefined;
            typeDisabled?: undefined;
            attrDisabled?: undefined;
            member?: undefined;
            aliasDisabled?: undefined;
            checked?: undefined;
            multiselect?: undefined;
            groupOptions?: undefined;
            groupSelect?: undefined;
            inputnumber?: undefined;
            isText?: undefined;
            options?: undefined;
            select?: undefined;
            require?: undefined;
            range?: undefined;
            accuracy?: undefined;
            thousandth?: undefined;
            percentage?: undefined;
            location?: undefined;
            sign?: undefined;
            amount?: undefined;
            workHour?: undefined;
            dept?: undefined;
        };
    };
} | {
    name: string;
    label: string;
    aliasTitle: string;
    description: string;
    isSys: boolean;
    isOrg: boolean;
    writable: boolean;
    editable: boolean;
    unique: boolean;
    uniquePreHandler: string;
    sensitiveStrategy: string;
    sensitiveFlag: number;
    field: {
        type: string;
        customType: string;
        dataType: string;
        props: {
            required: boolean;
            workHour: {};
            collaboratorRoles: null;
            disabled: boolean;
            multiple: boolean;
            fieldSearch?: undefined;
            hide?: undefined;
            isSearch?: undefined;
            isCollaborators?: undefined;
            limit?: undefined;
            titleDisabled?: undefined;
            typeDisabled?: undefined;
            attrDisabled?: undefined;
            member?: undefined;
            aliasDisabled?: undefined;
            checked?: undefined;
            multiselect?: undefined;
            groupOptions?: undefined;
            groupSelect?: undefined;
            inputnumber?: undefined;
            isText?: undefined;
            options?: undefined;
            select?: undefined;
            require?: undefined;
            range?: undefined;
            accuracy?: undefined;
            thousandth?: undefined;
            percentage?: undefined;
            location?: undefined;
            sign?: undefined;
            amount?: undefined;
            dept?: undefined;
        };
    };
} | {
    name: string;
    label: string;
    aliasTitle: string;
    description: string;
    isSys: boolean;
    isOrg: boolean;
    writable: boolean;
    editable: boolean;
    unique: boolean;
    uniquePreHandler: string;
    sensitiveStrategy: string;
    sensitiveFlag: number;
    field: {
        type: string;
        customType: string;
        dataType: string;
        props: {
            multiple: boolean;
            required: boolean;
            collaboratorRoles: null;
            disabled: boolean;
            isCollaborators: boolean;
            member: {
                multiple: boolean;
                isCollaborators: boolean;
                collaboratorRoles?: undefined;
                required?: undefined;
            };
            fieldSearch?: undefined;
            hide?: undefined;
            isSearch?: undefined;
            limit?: undefined;
            titleDisabled?: undefined;
            typeDisabled?: undefined;
            attrDisabled?: undefined;
            aliasDisabled?: undefined;
            checked?: undefined;
            multiselect?: undefined;
            groupOptions?: undefined;
            groupSelect?: undefined;
            inputnumber?: undefined;
            isText?: undefined;
            options?: undefined;
            select?: undefined;
            require?: undefined;
            range?: undefined;
            accuracy?: undefined;
            thousandth?: undefined;
            percentage?: undefined;
            location?: undefined;
            sign?: undefined;
            amount?: undefined;
            workHour?: undefined;
            dept?: undefined;
        };
    };
} | {
    name: string;
    label: string;
    aliasTitle: string;
    description: string;
    isSys: boolean;
    isOrg: boolean;
    writable: boolean;
    editable: boolean;
    unique: boolean;
    uniquePreHandler: string;
    sensitiveStrategy: string;
    sensitiveFlag: number;
    field: {
        type: string;
        customType: string;
        dataType: string;
        props: {
            multiple: boolean;
            required: boolean;
            collaboratorRoles: null;
            dept: {
                multiple: boolean;
            };
            disabled: boolean;
            fieldSearch?: undefined;
            hide?: undefined;
            isSearch?: undefined;
            isCollaborators?: undefined;
            limit?: undefined;
            titleDisabled?: undefined;
            typeDisabled?: undefined;
            attrDisabled?: undefined;
            member?: undefined;
            aliasDisabled?: undefined;
            checked?: undefined;
            multiselect?: undefined;
            groupOptions?: undefined;
            groupSelect?: undefined;
            inputnumber?: undefined;
            isText?: undefined;
            options?: undefined;
            select?: undefined;
            require?: undefined;
            range?: undefined;
            accuracy?: undefined;
            thousandth?: undefined;
            percentage?: undefined;
            location?: undefined;
            sign?: undefined;
            amount?: undefined;
            workHour?: undefined;
        };
    };
} | {
    name: string;
    label: string;
    aliasTitle: string;
    description: string;
    isSys: boolean;
    isOrg: boolean;
    writable: boolean;
    editable: boolean;
    unique: boolean;
    uniquePreHandler: string;
    sensitiveStrategy: string;
    sensitiveFlag: number;
    field: {
        type: string;
        customType: string;
        dataType: string;
        props: {
            multiple: boolean;
            multiselect: {
                options: {
                    value: string;
                    color: string;
                    id: number;
                }[];
            };
            options: {
                value: string;
                color: string;
                id: number;
            }[];
            required: boolean;
            checked: boolean;
            collaboratorRoles: null;
            disabled: boolean;
            hide: boolean;
            fieldSearch?: undefined;
            isSearch?: undefined;
            isCollaborators?: undefined;
            limit?: undefined;
            titleDisabled?: undefined;
            typeDisabled?: undefined;
            attrDisabled?: undefined;
            member?: undefined;
            aliasDisabled?: undefined;
            groupOptions?: undefined;
            groupSelect?: undefined;
            inputnumber?: undefined;
            isText?: undefined;
            select?: undefined;
            require?: undefined;
            range?: undefined;
            accuracy?: undefined;
            thousandth?: undefined;
            percentage?: undefined;
            location?: undefined;
            sign?: undefined;
            amount?: undefined;
            workHour?: undefined;
            dept?: undefined;
        };
    };
})[];
export declare type IColumn = typeof column;
export declare const dataSource: ({
    id: number;
    creator: {
        type: string;
        status: number;
        isDelete: number;
        id: string;
        name: string;
        avatar: string;
    };
    _field_1654751734544: number;
    projectObjectTypeId: number;
    isFiling: number;
    endTime: string;
    dataId: string;
    code: string;
    orgId: number;
    priorityId: number;
    sort: string;
    ownerChangeTime: string;
    auditorIds: never[];
    appIds: string[];
    updator: {
        type: string;
        status: number;
        isDelete: number;
        id: string;
        name: string;
        avatar: string;
    };
    isDelete: number;
    planWorkHour: number;
    delFlag: number;
    ownerId: {
        id: string;
        name: string;
        avatar: string;
        type: string;
        status: number;
        isDelete: number;
    }[];
    path: string;
    issueStatus: number;
    startTime: string;
    owner: number;
    updateTime: string;
    _field_1651568717247: number;
    createTime: string;
    planEndTime: string;
    status: number;
    title: string;
    moduleId: number;
    _field_priority: number;
    parentId: number;
    versionId: number;
    issueObjectTypeId: number;
    tableId: string;
    collaborators: {
        _field_1651568862487: {};
        auditorIds: never[];
        _field_1651564437797: {};
        ownerId: string[];
        followerIds?: undefined;
    };
    sourceId: number;
    remark: string;
    propertyId: number;
    issueId: number;
    recycleFlag: number;
    planStartTime: string;
    issueStatusType: number;
    followerIds: {
        avatar: string;
        type: string;
        status: number;
        isDelete: number;
        id: string;
        name: string;
    }[];
    iterationId: number;
    order: number;
    version: number;
    auditStatus: number;
    projectId: number;
    children: never[];
    indexText: number;
    rowIndex: number;
    _field_1661491790474?: undefined;
    _field_1661491797034?: undefined;
    _field_1663244206628?: undefined;
    _field_1663067791681?: undefined;
    _field_1663240891242?: undefined;
    workHour?: undefined;
    _field_1663241850031?: undefined;
    baRelating?: undefined;
} | {
    iterationId: number;
    recycleFlag: number;
    version: number;
    code: string;
    projectObjectTypeId: number;
    auditStatus: number;
    appIds: string[];
    orgId: number;
    isDelete: number;
    endTime: string;
    startTime: string;
    parentId: number;
    planEndTime: string;
    versionId: number;
    _field_1661491790474: number;
    title: string;
    planStartTime: string;
    tableId: string;
    dataId: string;
    path: string;
    issueStatus: number;
    owner: number;
    _field_1661491797034: number;
    _field_1663244206628: number[];
    _field_1663067791681: string;
    ownerChangeTime: string;
    collaborators: {
        followerIds: string[];
        auditorIds: never[];
        ownerId: string[];
        _field_1651568862487?: undefined;
        _field_1651564437797?: undefined;
    };
    propertyId: number;
    _field_1663240891242: {
        id: string;
        name: string;
        avatar: string;
        type: string;
        status: number;
        isDelete: number;
    }[];
    issueStatusType: number;
    workHour: {
        collaboratorIds: string[];
        actualHour: string;
        planHour: string;
    };
    order: string;
    _field_1663241850031: {
        isDelete: number;
        id: string;
        name: string;
        avatar: string;
        type: string;
        status: number;
    }[];
    sort: string;
    moduleId: number;
    updateTime: string;
    ownerId: {
        name: string;
        avatar: string;
        type: string;
        status: number;
        isDelete: number;
        id: string;
    }[];
    auditorIds: never[];
    followerIds: {
        id: string;
        name: string;
        avatar: string;
        type: string;
        status: number;
        isDelete: number;
    }[];
    delFlag: number;
    creator: {
        id: string;
        name: string;
        avatar: string;
        type: string;
        status: number;
        isDelete: number;
    };
    sourceId: number;
    issueObjectTypeId: number;
    remark: string;
    id: number;
    projectId: number;
    status: number;
    updator: {
        isDelete: number;
        id: string;
        name: string;
        avatar: string;
        type: string;
        status: number;
    };
    planWorkHour: number;
    priorityId: number;
    isFiling: number;
    issueId: number;
    baRelating: {
        linkTo: string[];
        linkFrom: string[];
    };
    createTime: string;
    _field_1654751734544?: undefined;
    _field_1651568717247?: undefined;
    _field_priority?: undefined;
    children?: undefined;
    indexText?: undefined;
    rowIndex?: undefined;
} | {
    title: string;
    creator: {
        id: string;
        name: string;
        avatar: string;
        type: string;
        status: number;
        isDelete: number;
    };
    baRelating: {
        linkTo: string[];
        linkFrom: string[];
    };
    id: number;
    order: string;
    recycleFlag: number;
    planStartTime: string;
    issueStatusType: number;
    priorityId: number;
    issueId: number;
    ownerChangeTime: string;
    version: number;
    status: number;
    auditStatus: number;
    orgId: number;
    _field_1661491790474: number;
    dataId: string;
    endTime: string;
    _field_1663241850031: {
        id: string;
        name: string;
        avatar: string;
        type: string;
        status: number;
        isDelete: number;
    }[];
    _field_1663240891242: {
        avatar: string;
        type: string;
        status: number;
        isDelete: number;
        id: string;
        name: string;
    }[];
    _field_1663244206628: number[];
    isDelete: number;
    parentId: number;
    planWorkHour: number;
    propertyId: number;
    code: string;
    moduleId: number;
    path: string;
    projectId: number;
    projectObjectTypeId: number;
    _field_1663067791681: string;
    _field_1661491797034: number;
    followerIds: {
        type: string;
        status: number;
        isDelete: number;
        id: string;
        name: string;
        avatar: string;
    }[];
    startTime: string;
    tableId: string;
    delFlag: number;
    updator: {
        isDelete: number;
        id: string;
        name: string;
        avatar: string;
        type: string;
        status: number;
    };
    sort: string;
    sourceId: number;
    auditorIds: never[];
    createTime: string;
    issueObjectTypeId: number;
    owner: number;
    collaborators: {
        followerIds: string[];
        auditorIds: never[];
        ownerId: string[];
        _field_1651568862487?: undefined;
        _field_1651564437797?: undefined;
    };
    issueStatus: number;
    planEndTime: string;
    ownerId: {
        type: string;
        status: number;
        isDelete: number;
        id: string;
        name: string;
        avatar: string;
    }[];
    updateTime: string;
    iterationId: number;
    versionId: number;
    appIds: string[];
    isFiling: number;
    remark: string;
    _field_1654751734544?: undefined;
    _field_1651568717247?: undefined;
    _field_priority?: undefined;
    children?: undefined;
    indexText?: undefined;
    rowIndex?: undefined;
    workHour?: undefined;
} | {
    endTime: string;
    remark: string;
    creator: {
        status: number;
        isDelete: number;
        id: string;
        name: string;
        avatar: string;
        type: string;
    };
    version: number;
    parentId: number;
    isFiling: number;
    title: string;
    priorityId: number;
    owner: number;
    auditStatus: number;
    planWorkHour: number;
    updateTime: string;
    updator: {
        id: string;
        name: string;
        avatar: string;
        type: string;
        status: number;
        isDelete: number;
    };
    status: number;
    dataId: string;
    delFlag: number;
    collaborators: {
        followerIds: string[];
        auditorIds: never[];
        ownerId: string[];
        _field_1651568862487?: undefined;
        _field_1651564437797?: undefined;
    };
    iterationId: number;
    baRelating: {
        linkFrom: string[];
        linkTo?: undefined;
    };
    issueObjectTypeId: number;
    projectObjectTypeId: number;
    tableId: string;
    projectId: number;
    id: number;
    code: string;
    auditorIds: never[];
    propertyId: number;
    planStartTime: string;
    moduleId: number;
    issueId: number;
    recycleFlag: number;
    sourceId: number;
    followerIds: {
        id: string;
        name: string;
        avatar: string;
        type: string;
        status: number;
        isDelete: number;
    }[];
    ownerId: {
        status: number;
        isDelete: number;
        id: string;
        name: string;
        avatar: string;
        type: string;
    }[];
    path: string;
    startTime: string;
    versionId: number;
    appIds: string[];
    planEndTime: string;
    issueStatusType: number;
    ownerChangeTime: string;
    order: string;
    sort: string;
    _field_1663240891242: {
        id: string;
        name: string;
        avatar: string;
        type: string;
        status: number;
        isDelete: number;
    }[];
    orgId: number;
    issueStatus: number;
    isDelete: number;
    _field_1663241850031: {
        status: number;
        isDelete: number;
        id: string;
        name: string;
        avatar: string;
        type: string;
    }[];
    createTime: string;
    _field_1654751734544?: undefined;
    _field_1651568717247?: undefined;
    _field_priority?: undefined;
    children?: undefined;
    indexText?: undefined;
    rowIndex?: undefined;
    _field_1661491790474?: undefined;
    _field_1661491797034?: undefined;
    _field_1663244206628?: undefined;
    _field_1663067791681?: undefined;
    workHour?: undefined;
})[];
export declare type IDataSource = typeof dataSource;
